# Package org.eclipse.jgit.dircache

Reading and editing the directory cache (index).

Class Summary
DirCache: Support for the Git dircache (aka index file).
DirCacheBuilder: Updates a `DirCache` by adding individual `DirCacheEntry`s.
DirCacheBuildIterator: Iterate and update a `DirCache` as part of a `TreeWalk`.
DirCacheCheckout: This class handles checking out one or two trees merging with the index.
DirCacheEditor: Updates a `DirCache` by supplying discrete edit commands.
DirCacheEditor.DeletePath: Deletes a single file entry from the index.
DirCacheEditor.DeleteTree: Recursively deletes all paths under a subtree.
DirCacheEditor.PathEdit: Any index record update.
DirCacheEntry: A single file (or stage of a file) in a `DirCache`.
DirCacheIterator: Iterate a `DirCache` as part of a `TreeWalk`.
DirCacheTree: Single tree record from the 'TREE' `DirCache` extension.

Exception Summary
InvalidPathException: Thrown when JGit detects and refuses to use an invalid path